{% load static i18n %}
{% translate "Anthologia Graeca" as website_title %}
<!DOCTYPE html>
<html>
    <head>
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=0"/>
        <meta charset="UTF-8"/>
        <title>{% if page_title %}{{ page_title }} — {% endif %}{{ website_title }}</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge;"/>
        <link href="{% static 'web/vendors/cirrus.0.6.3.min.css' %}" type="text/css" rel="stylesheet"/>
        <link href="{% static 'web/css/fonts.css' %}" type="text/css" rel="stylesheet"/>
        <link href="{% static 'web/css/styles.css' %}" type="text/css" rel="stylesheet"/>
        <!-- Lightest blank gif, avoids an extra query to the server. -->
        <link rel="icon" href="data:;base64,iVBORw0KGgo=">
        {% block extra_head %}{% endblock %}
    </head>
    <body class="u-flex u-flex-column"
        data-controller="modals"
        data-action="keyup@window->modals#closeAll load@window->modals#openOnHash"
        >
        <header class="header unselectable header-animated">
            <div class="header-brand">
                <div class="nav-item">
                    <h1 class="title font-alt">
                        <a class="font-light" href="{% url 'web:index' %}">
                            {{ website_title }}
                        </a>
                    </h1>
                </div>
                <!-- Responsive: in use for hamburger menu (small size) -->
                <div class="nav-item nav-btn" id="header-btn"> <span></span> <span></span> <span></span> </div>
            </div>
            <nav class="header-nav" id="header-menu">
                <div class="nav-right">
                    <div class="nav-item has-sub toggle-hover">
                        <a class="nav-dropdown-link">{% translate "Menu" %}</a>
                        <ul class="dropdown-menu dropdown-animated" role="menu">
                            <li role="menu-item"><a href="{% url 'web:index' %}">{% translate "Passages" %}</a></li>
                            <li role="menu-item"><a href="{% url 'web:author-list' %}">{% translate "Authors" %}</a></li>
                            <li role="menu-item"><a href="{% url 'web:city-list' %}">{% translate "Cities" %}</a></li>
                            <li role="menu-item"><a href="{% url 'web:keyword-list' %}">{% translate "Keywords" %}</a></li>
                            <li role="menu-item"><a href="{% url 'web:version-list' %}">{% translate "Modifications" %}</a></li>
                        </ul>
                    </div>
                    <div class="nav-item toggle-hover">
                        {% get_current_language as LANGUAGE_CODE %}
                        <a class="nav-dropdown-link" href="#change-language"
                            data-action="modals#open"
                            >{% translate "Language" %} ({{ LANGUAGE_CODE }})
                        </a>
                    </div>
                    <div class="nav-item has-sub toggle-hover">
                        <a class="nav-dropdown-link">{% translate "Documentation" %}</a>
                        <ul class="dropdown-menu dropdown-animated" role="menu">
                            <li role="menu-item"><a href="{% url 'web:pages' 'index' %}">{% translate "Index" %}</a></li>
                            <li role="menu-item"><a href="{% url 'web:pages' 'a-propos' %}">{% translate "About" %}</a></li>
                            <li role="menu-item"><a href="{% url 'web:pages' 'communications' %}">{% translate "Communications" %}</a></li>
                            <li role="menu-item"><a href="{% url 'web:pages' 'documentation-technique' %}">{% translate "Getting started" %}</a></li>
                            <li role="menu-item"><a href="{% url 'web:pages' 'equipe-et-partenaires' %}">{% translate "Team and partners" %}</a></li>
                            <li role="menu-item"><a href="{% url 'web:pages' 'ressources' %}">{% translate "Resources" %}</a></li>
                        </ul>
                    </div>
                    <div class="nav-item has-sub toggle-hover">
                        <a class="nav-dropdown-link">
                            {% if user.is_authenticated %}
                                {{ user }}
                            {% else %}
                                {% translate "Account" %}
                            {% endif %}
                        </a>
                        <ul class="dropdown-menu dropdown-animated" role="menu">
                            {% if user.is_authenticated %}
                                <li role="menu-item">
                                    <a href="{% url 'profile' %}">{% translate "Profile" %}</a>
                                </li>
                                <li role="menu-item">
                                    <a href="{% url 'user-history' user.pk %}">{% translate "Modifications" %}</a>
                                </li>
                                <li role="menu-item">
                                    <form id="logout-form" method="post" action="{% url 'admin:logout' %}">
                                        {% csrf_token %}
                                        <button type="submit" class="font-semibold capitalize px-2">{% translate "Log out" %}</button>
                                      </form>
                                </li>
                            {% else %}
                                <li role="menu-item">
                                    <a href="#login" data-action="modals#open">{% translate "Log in" %}</a>
                                </li>
                                <li role="menu-item">
                                    <a href="{% url 'register' %}">{% translate "Register" %}</a>
                                </li>
                            {% endif %}
                        </ul>
                    </div>
                </div>
            </nav>
        </header>
        <section class="section">
            {% block page_title %}
                {% if page_title %}
                    <h1 class="mt-6 u-text-center headline-4 font-alt">
                        {{ page_title }}
                    </h1>
                {% endif %}
            {% endblock %}
            {% block content %}{% endblock %}
            <div
                id="change-language"
                class="modal modal-large modal-animated--zoom-in"
                >
                <a href="#back" data-modals-target="closebtn" class="modal-overlay close-btn u-text-right" aria-label="{% translate 'Close' %}">
                    <span class="icon mt-2 mr-3">
                        <svg aria-hidden="true" focusable="false" data-prefix="fas" data-icon="times" class="svg-inline--fa fa-times fa-w-11 fa-wrapper" role="img" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 352 512"><path fill="#fff" d="M242.72 256l100.07-100.07c12.28-12.28 12.28-32.19 0-44.48l-22.24-22.24c-12.28-12.28-32.19-12.28-44.48 0L176 189.28 75.93 89.21c-12.28-12.28-32.19-12.28-44.48 0L9.21 111.45c-12.28 12.28-12.28 32.19 0 44.48L109.28 256 9.21 356.07c-12.28 12.28-12.28 32.19 0 44.48l22.24 22.24c12.28 12.28 32.2 12.28 44.48 0L176 322.72l100.07 100.07c12.28 12.28 32.2 12.28 44.48 0l22.24-22.24c12.28-12.28 12.28-32.19 0-44.48L242.72 256z"></path></svg>
                    </span>
                </a>
                <div role="document" class="modal-content">
                    <form action="{% url 'web:set_language' %}" method="post">
                        {% csrf_token %}
                        <div class="modal-header">
                            <div class="modal-title">
                                {% translate "Change language" %}
                            </div>
                        </div>
                        <div class="modal-body">
                            <input name="next" type="hidden" value="{{ redirect_to }}">
                            <select name="language">
                                {% get_current_language as LANGUAGE_CODE %}
                                {% get_available_languages as LANGUAGES %}
                                {% for code, name in LANGUAGES %}
                                    <option value="{{ code }}"{% if code == LANGUAGE_CODE %} selected{% endif %}>
                                        {{ name }} ({{ code }})
                                    </option>
                                {% endfor %}
                            </select>
                        </div>
                        <div class="modal-footer">
                            <div class="form-section u-flex u-justify-space-between">
                                <a href="#back" class="btn u-inline-block">
                                    {% translate "Cancel" %}
                                </a>
                                <button class="btn-info u-inline-block" type="submit">
                                    {% translate "Submit & change" %}
                                </button>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
            <div
                id="login"
                class="modal modal-large modal-animated--zoom-in"
                data-controller="turbo"
                data-turbo-url-value="{% url 'login' %}"
                >
                <a href="#back" data-modals-target="closebtn" class="modal-overlay close-btn u-text-right" aria-label="{% translate 'Close' %}">
                    <span class="icon mt-2 mr-3">
                        <svg class="svgicon svgicon-cross">
                            <use xlink:href="{% static 'web/img/symbol-defs.svg' %}#icon-cross"></use>
                        </svg>
                    </span>
                </a>

                <div class="modal-content" role="document" data-turbo-target="wrapper"></div>
            </div>
        </section>
        <footer class="footer pt-2 pb-8">
            {% block footer %}
                <p>
                    {% blocktranslate %}
                        Anthologia Graeca Project, A Collaborative Edition by the
                        <a href="https://ecrituresnumeriques.ca/">Canada Research Chair in Digital Textualities</a>.
                    {% endblocktranslate %}
                </p>
                <p>
                    <img class="mx-1" src="{% static 'web/img/ecritures-numeriques-logo.svg' %}">
                    <img class="mx-1" src="{% static 'web/img/chaires-canada-logo.png' %}">
                    <img class="mx-1" src="{% static 'web/img/crsh-canada-logo.png' %}">
                    <img class="mx-1" src="{% static 'web/img/udem-logo.png' %}">
                    <img class="mx-1" src="{% static 'web/img/crihn-logo.png' %}">
                    <img class="mx-1" src="{% static 'web/img/gren-logo.png' %}">
                </p>
                <p>
                    {% blocktranslate %}
                        To know more <a href="https://ecrituresnumeriques.ca/en/Activities/Projects/2016/1/19/Palatine-Anthology">about the projet</a>.
                    {% endblocktranslate %}
                </p>
            {% endblock %}
        </footer>
        <script src="{% static 'web/vendors/stimulus.2.0.0.umd.js' %}"></script>
        <script>;(() => window.application = Stimulus.Application.start())()</script>
        <script src="{% static 'web/js/modals_controller.js' %}"></script>
        <script src="{% static 'web/js/turbo_controller.js' %}"></script>
        <script src="{% static 'web/js/datetime_controller.js' %}"></script>
        <script>;(() => {
            application.register('modals', Modals)
            application.register('turbo', Turbo)
            application.register('datetimes', Datetimes)
        })()</script>
        {% block extra_body %}{% endblock %}
    </body>
</html>
